
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Far, far away &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Going fast slowly" href="thatslow.html" />
    <link rel="prev" title="Trial&amp;Error - Prototyping - Continous Integration" href="trialerror.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="thatslow.html" title="Going fast slowly"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="trialerror.html" title="Trial&amp;Error - Prototyping - Continous Integration"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Far, far away</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="far-far-away">
<span id="phk-farfaraway"></span><h1>Far, far away<a class="headerlink" href="#far-far-away" title="Permalink to this headline">¶</a></h1>
<p>I realize I’m showing my age when I admit that Slades 1974 hit <a class="reference external" href="https://www.youtube.com/watch?v=6gqCCAb8xbw">“Far
Far Away”</a> was one
of the first rock-ballads I truly loved.  (In case you have never
heard of Slade or the 1970’ies British glam-rock, you may want to
protect your innocence and <em>not</em> click on that link.)</p>
<p>Some years back I got invited to a conference in New Zealand, and
that is “far far away” from Denmark.  So far away in fact, that I
downloaded the entire
<a class="reference external" href="https://archive.org/details/bstj-archives">Bell Systems Technical Journal</a>
to my Kobo eReader in order to have something to do during the 24
hour air-traffic “experience”.</p>
<p>BSTJ is good reading, for instance you learn that they invented
<a class="reference external" href="https://archive.org/stream/bstj62-7-2365#page/n21/mode/2up">Agile Programming</a>
back in 1983, but failed to come up with a hip name.</p>
<p>Anyway, Internet Access in New Zealand is like time-travel back to
around Y2K or so, and when one of my time-nuts friends launched a
<a class="reference external" href="https://www.kickstarter.com/projects/1575992013/kiwisdr-beaglebone-software-defined-radio-sdr-with">Kickstarter project</a> it didn’t take much before his residential connection folded.</p>
<p>As it happens, I am in the process of setting up the new Varnish-Cache.org
project server just now, generously sponsored/donated by <a class="reference external" href="https://www.RootBSD.com">RootBSD.com</a>, so it was natural for me to offer to
help him out.</p>
<p>I don’t need to explain varnishhist to this audience:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>                <span class="o">|</span>
                <span class="o">|</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>
                <span class="o">||</span>                            <span class="c1">##</span>
               <span class="o">|||</span>                            <span class="c1">##</span>
               <span class="o">|||</span>                         <span class="c1">#  ## #</span>
              <span class="o">|||||</span>                        <span class="c1">#  #####</span>
<span class="o">+-------+-------+-------+-------+-------+-------+-------+-------+-------</span>
<span class="o">|</span><span class="mf">1e-6</span>   <span class="o">|</span><span class="mf">1e-5</span>   <span class="o">|</span><span class="mf">1e-4</span>   <span class="o">|</span><span class="mf">1e-3</span>   <span class="o">|</span><span class="mf">1e-2</span>   <span class="o">|</span><span class="mf">1e-1</span>   <span class="o">|</span><span class="mf">1e0</span>    <span class="o">|</span><span class="mf">1e1</span>    <span class="o">|</span><span class="mf">1e2</span>
</pre></div>
</div>
<p>Most of us who live in civilized places, tend to forget that the InterNet
is very unevenly distributed.</p>
<p>My ISP enabled IPv6 on the VDSL2+ line to my beach-house today,
some people have fiber, but in terms head-count, the majority of
the world has really horrible internet connections.</p>
<p>In some cases it is the last mile, for instance if you live out at some
remote fjord in Norway.</p>
<p>In other cases it is a mid-net bottle-neck, in the case of New
Zealand a shortage of transoceanic fiber cables <a class="footnote-reference brackets" href="#f1" id="id2">1</a> .</p>
<p>Caching is not a cure-all, it is far from a miracle cure, even thought it
might seem that way sometimes.</p>
<p>But as prophylactic for bandwidth troubles, it is second to none.</p>
<p>One of the goals of Varnish was that it should be easy to roll out
in a crisis situation, start it, repoint your DNS, suffer less,
tune it a little bit (usually: ignore cookies) and suffer a lot less.</p>
<p>Today was a good sanity-check for me, trying exactly that.</p>
<p>All in all it worked out pretty well, as the varnishhist above shows.</p>
<p><em>phk</em></p>
<dl class="footnote brackets">
<dt class="label" id="f1"><span class="brackets"><a class="fn-backref" href="#id2">1</a></span></dt>
<dd><p>These <a class="reference external" href="https://archive.org/details/bstj-archives?&amp;and[]=bstj%20%201957-1-1">BSTJ articles about the first Atlantic phone cable</a>
will give you an appreciation of why that is not a trivial problem
to solve.</p>
</dd>
</dl>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="trialerror.html"
                        title="previous chapter">Trial&amp;Error - Prototyping - Continous Integration</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="thatslow.html"
                        title="next chapter">Going fast slowly</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/phk/farfaraway.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="thatslow.html" title="Going fast slowly"
             >next</a> |</li>
        <li class="right" >
          <a href="trialerror.html" title="Trial&amp;Error - Prototyping - Continous Integration"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >Poul-Hennings random outbursts</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Far, far away</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>